GNU bug report logs - #9961
non-empty ~/.emacs_SHELLNAME causes multiple shell prompts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Andreas Röhler <andreas.roehler@HIDDEN>; merged with #40754; dated Sat, 5 Nov 2011 15:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 9961 40754. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9961 <at> debbugs.gnu.org:


Received: (at 9961) by debbugs.gnu.org; 25 Aug 2020 13:31:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 09:31:51 2020
Received: from localhost ([127.0.0.1]:60760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAZ3H-0006xN-I7
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:31:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kAZ3G-0006sT-Es
 for 9961 <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:31:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CLr+k8gR1voTtMc9ohRQMzIW4HFm5PHgh6kiwSY+HL0=; b=MgTd8zoYkOgymNx/F7xN3pTb9d
 PRvd0rO4wF2OpeCbKqkMThzq6Lxlc0+oW9AIPNxrVFecNxiMhzBLKSgaVOEAI8+/zOLjxbI14g+pf
 Nk+iF4m1OkdytigmIRc9PidSmr4bsCx8PKVT3DwEzw5M1IFhJaXVr1G42HArjeZewE5E=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kAZ37-00064w-9G; Tue, 25 Aug 2020 15:31:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#9961: Subject: 24.0.91; shell prompt doubled
References: <4EB55A72.4050905@HIDDEN> <x7k47b7fxv.fsf@HIDDEN>
 <87mu2i98ce.fsf@HIDDEN> <83zh6i50an.fsf@HIDDEN>
X-Now-Playing: DACM's =?utf-8?B?X1N0w4PCqXLDg8Kpb3R5cGllXzo=?= "Birthday"
Date: Tue, 25 Aug 2020 15:31:39 +0200
In-Reply-To: <83zh6i50an.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 25 Aug
 2020 16:21:04 +0300")
Message-ID: <87eenu97ic.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> From: Lars
 Ingebrigtsen <larsi@HIDDEN> >> Date: Tue,
 25 Aug 2020 15:13:37 +0200 >> Cc: 9961 <at> debbugs.gnu.org
 >> >> I poked around to see whether there's any easy way to fix this: Like
 a >> way to [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 9961
Cc: rgm@HIDDEN, 9961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Date: Tue, 25 Aug 2020 15:13:37 +0200
>> Cc: 9961 <at> debbugs.gnu.org
>> 
>> I poked around to see whether there's any easy way to fix this: Like a
>> way to say to comint "send this to the process, but discard the output",
>> but there doesn't seem to be?
>
> Would it work to arrange for a temporary filter function, which would
> discard the shell's output while .emacs_bash is being processed?

The (somewhat strangely coded function) today just does:

      ;; Feed it the startfile.
      (cond (startfile
	     ;;This is guaranteed to wait long enough
	     ;;but has bad results if the comint does not prompt at all
	     ;;	     (while (= size (buffer-size))
	     ;;	       (sleep-for 1))
	     ;;I hope 1 second is enough!
	     (sleep-for 1)
	     (goto-char (point-max))
	     (insert-file-contents startfile)
	     (setq startfile (buffer-substring (point) (point-max)))
	     (delete-region (point) (point-max))
	     (comint-send-string proc startfile)))

So it sends off the entire init file to bash (or whatever), and doesn't
wait for any response, or know how many commands there are in that file.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2020 13:30:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 09:30:11 2020
Received: from localhost ([127.0.0.1]:60756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAZ1f-0005Ya-0i
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:30:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:32796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kAZ1c-0005Uz-Kc
 for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:30:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48336)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kAZ1c-0004Tb-EN
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 09:30:08 -0400
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:35808 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kAZ1a-00056f-Kq
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 09:30:08 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kAZ1V-000AQm-UC
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 15:30:01 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#9961: Subject: 24.0.91; shell prompt doubled
Date: Tue, 25 Aug 2020 14:26:37 +0100
Message-ID: <87r1run9f6.fsf@HIDDEN>
References: <4EB55A72.4050905@HIDDEN> <x7k47b7fxv.fsf@HIDDEN>
 <87mu2i98ce.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Cancel-Lock: sha1:B2UHkQHzUTr2tikbYCG+P5gHxzs=
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/25 09:30:03
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.248, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

>>>>> Lars Ingebrigtsen <larsi@HIDDEN> writes:

    > (I think I sent this one prematurely once already; sorry.)  Glenn
    > Morris <rgm@HIDDEN> writes:

    >> This issue occurs since at least Emacs 21.1.  If you have a
    >> non-empty ~/.emacs_bash file, eg one that contains just:
    >> 
    >> #comment
    >> 
    >> and do M-x shell with the bash shell, then you get an extra N
    >> copies of your prompt, as the N lines of ~/.emacs_bash are fed to
    >> the shell by comint-exec.

    > This bug is still present in Emacs 28, although it looks a bit
    > different now:




    > I poked around to see whether there's any easy way to fix this:
    > Like a way to say to comint "send this to the process, but discard
    > the output", but there doesn't seem to be?

This works for me. Create a ~/.emacs_bash as:

 # -*- mode: sh; -*-
 # echo ""
 printf '\r\n%.0s' {1..50} ## This clears screen and puts prompt at bottom



There will only be one prompt. For csh, touch the file ~/.emacs_csh but
keep empty.

Best wishes,

Colin Baxter.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.

Message received at 9961 <at> debbugs.gnu.org:


Received: (at 9961) by debbugs.gnu.org; 25 Aug 2020 13:21:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 09:21:29 2020
Received: from localhost ([127.0.0.1]:60734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAYtF-0005AJ-Ce
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:21:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kAYtD-0005A4-MV
 for 9961 <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:21:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37553)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kAYt8-0003xR-Dr; Tue, 25 Aug 2020 09:21:22 -0400
Received: from [176.228.60.248] (port=1680 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kAYt7-00086t-7E; Tue, 25 Aug 2020 09:21:21 -0400
Date: Tue, 25 Aug 2020 16:21:04 +0300
Message-Id: <83zh6i50an.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87mu2i98ce.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 25 Aug 2020 15:13:37 +0200)
Subject: Re: bug#9961: Subject: 24.0.91; shell prompt doubled
References: <4EB55A72.4050905@HIDDEN> <x7k47b7fxv.fsf@HIDDEN>
 <87mu2i98ce.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9961
Cc: rgm@HIDDEN, 9961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 25 Aug 2020 15:13:37 +0200
> Cc: 9961 <at> debbugs.gnu.org
> 
> I poked around to see whether there's any easy way to fix this: Like a
> way to say to comint "send this to the process, but discard the output",
> but there doesn't seem to be?

Would it work to arrange for a temporary filter function, which would
discard the shell's output while .emacs_bash is being processed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.

Message received at 9961 <at> debbugs.gnu.org:


Received: (at 9961) by debbugs.gnu.org; 25 Aug 2020 13:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 09:13:51 2020
Received: from localhost ([127.0.0.1]:60730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAYlr-0004wb-J1
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:13:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kAYlp-0004wM-Pc
 for 9961 <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:13:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tajSYHY7p2Sea7o2Gi2jQEq9jmcPI9AkAy4JKev9USE=; b=P3OQASuSnckpJ5psXqo1AEJ9W+
 iYcxhhCQQU2j0bj5LbVpVRa84gaMBzVWrJDZSiObFqU6BtHv+dPhgQ10Om8ImeGCIRu3f6bNZIGCQ
 peKgrd+Ln+HHO2yM+YM1C7K2fhPKPoxQNsC32gdfbDNSAEM/BwITXB5Gw9IFZQbnAKm8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kAYlf-0005wY-EQ; Tue, 25 Aug 2020 15:13:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#9961: Subject: 24.0.91; shell prompt doubled
In-Reply-To: <x7k47b7fxv.fsf@HIDDEN> (Glenn Morris's message of
 "Mon, 07 Nov 2011 16:58:36 -0500")
References: <4EB55A72.4050905@HIDDEN> <x7k47b7fxv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
X-Now-Playing: DACM's =?utf-8?B?X1N0w4PCqXLDg8Kpb3R5cGllXzo=?= "Bassamico"
Date: Tue, 25 Aug 2020 15:13:37 +0200
Message-ID: <87mu2i98ce.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  (I think I sent this one prematurely once already; sorry.)
 Glenn Morris <rgm@HIDDEN> writes: > This issue occurs since at least Emacs
 21.1. > If you have a non-empty ~/.emacs_bash file, eg one that contains
 just: > > #comment > > and do M-x shell with the bash shell, then you get
 an extra N c [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 DC_PNG_UNO_LARGO       Message contains a single large png image
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 9961
Cc: 9961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

(I think I sent this one prematurely once already; sorry.)

Glenn Morris <rgm@HIDDEN> writes:

> This issue occurs since at least Emacs 21.1.
> If you have a non-empty ~/.emacs_bash file, eg one that contains just:
>
> #comment
>
> and do M-x shell with the bash shell, then you get an extra N copies of
> your prompt, as the N lines of ~/.emacs_bash are fed to the shell by
> comint-exec.

This bug is still present in Emacs 28, although it looks a bit different
now:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


I poked around to see whether there's any easy way to fix this: Like a
way to say to comint "send this to the process, but discard the output",
but there doesn't seem to be?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.

Message received at 9961 <at> debbugs.gnu.org:


Received: (at 9961) by debbugs.gnu.org; 25 Aug 2020 13:04:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 09:04:31 2020
Received: from localhost ([127.0.0.1]:60708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAYcp-0004ho-JA
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:04:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kAYco-0004hb-CG
 for 9961 <at> debbugs.gnu.org; Tue, 25 Aug 2020 09:04:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HuV5VIcuWNqp8se0nnrSQ1XtElmQX3Hc2B5x1v8IVn4=; b=BIP0jHlMIi1zYmtwp7kqMngwfQ
 b9ej5jR4FbHugcGS6WoDoNfIlfwK39CjnMkmMpSRcvs2ivo8X/XGsi5zyCGLY3JV9OIXUnJHc48i1
 Yr8Kl03XANGRvbY6F3hjo4K4w8uHF+b+DXJ5RWWcloeRZVh4uUzAr/iUTvRyotXjt3NI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kAYcf-0005rV-Re; Tue, 25 Aug 2020 15:04:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#9961: Subject: 24.0.91; shell prompt doubled
References: <4EB55A72.4050905@HIDDEN> <x7k47b7fxv.fsf@HIDDEN>
X-Now-Playing: DACM's =?utf-8?B?X1N0w4PCqXLDg8Kpb3R5cGllXzo=?= "Bassamico"
Date: Tue, 25 Aug 2020 15:04:20 +0200
In-Reply-To: <x7k47b7fxv.fsf@HIDDEN> (Glenn Morris's message of
 "Mon, 07 Nov 2011 16:58:36 -0500")
Message-ID: <87pn7e98rv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Glenn Morris <rgm@HIDDEN> writes: > This issue occurs since
 at least Emacs 21.1. > If you have a non-empty ~/.emacs_bash file, eg one
 that contains just: > > #comment > > and do M-x shell with the bash shell,
 then you get an extra N c [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 9961
Cc: 9961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> This issue occurs since at least Emacs 21.1.
> If you have a non-empty ~/.emacs_bash file, eg one that contains just:
>
> #comment
>
> and do M-x shell with the bash shell, then you get an extra N copies of
> your prompt, as the N lines of ~/.emacs_bash are fed to the shell by
> comint-exec.

This bug is still present in Emacs 28, although it looks a bit different
now:



-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.
Severity set to 'minor' from 'normal' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'non-empty ~/.emacs_SHELLNAME causes multiple shell prompts' from 'Subject: 24.0.91; shell prompt doubled' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9961 <at> debbugs.gnu.org:


Received: (at 9961) by debbugs.gnu.org; 7 Nov 2011 22:01:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 07 17:01:33 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RNXG0-0002Eq-Ub
	for submit <at> debbugs.gnu.org; Mon, 07 Nov 2011 17:01:33 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1RNXFz-0002Ei-2k
	for 9961 <at> debbugs.gnu.org; Mon, 07 Nov 2011 17:01:31 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1RNXDB-0001uX-4L; Mon, 07 Nov 2011 16:58:37 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 9961 <at> debbugs.gnu.org
Subject: Re: bug#9961: Subject: 24.0.91; shell prompt doubled
References: <4EB55A72.4050905@HIDDEN>
X-Spook: Agfa Ft. Meade White House terrorism munitions virus SWAT
X-Ran: V*#=(!S{:l)!MZ/tHNd}zl5|T-l&pKye@l!ojJGO4Xh<?Y)[TM5Pz!D>,WUO[.I,2SuG!5
X-Hue: magenta
X-Attribution: GM
Date: Mon, 07 Nov 2011 16:58:36 -0500
In-Reply-To: <4EB55A72.4050905@HIDDEN> ("Andreas =?utf-8?Q?R=C3=B6hler?=
	=?utf-8?Q?=22's?= message of "Sat, 05 Nov 2011 16:46:58 +0100")
Message-ID: <x7k47b7fxv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 9961
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)


The patch (which could not be applied anyway due to copyright reasons)
simply silently makes comint-exec ignore its STARTFILE argument, which
obviously cannot be the correct solution.

This issue occurs since at least Emacs 21.1.
If you have a non-empty ~/.emacs_bash file, eg one that contains just:

#comment

and do M-x shell with the bash shell, then you get an extra N copies of
your prompt, as the N lines of ~/.emacs_bash are fed to the shell by
comint-exec.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Nov 2011 15:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 05 11:49:57 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RMiVJ-0008U6-51
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2011 11:49:57 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <andreas.roehler@HIDDEN>) id 1RMiVG-0008Ty-0i
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2011 11:49:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andreas.roehler@HIDDEN>) id 1RMiSe-0003G3-0v
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2011 11:47:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:43798)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andreas.roehler@HIDDEN>) id 1RMiSd-0003Fz-Vd
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2011 11:47:11 -0400
Received: from eggs.gnu.org ([140.186.70.92]:58212)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andreas.roehler@HIDDEN>) id 1RMiSc-00031Q-Ox
	for bug-gnu-emacs@HIDDEN; Sat, 05 Nov 2011 11:47:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andreas.roehler@HIDDEN>) id 1RMiSb-0003Fi-Bm
	for bug-gnu-emacs@HIDDEN; Sat, 05 Nov 2011 11:47:10 -0400
Received: from moutng.kundenserver.de ([212.227.17.10]:50010)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andreas.roehler@HIDDEN>) id 1RMiSb-0003FM-0S
	for bug-gnu-emacs@HIDDEN; Sat, 05 Nov 2011 11:47:09 -0400
Received: from [192.168.178.27] (brln-4d0c25be.pool.mediaWays.net
	[77.12.37.190])
	by mrelayeu.kundenserver.de (node=mrbap0) with ESMTP (Nemesis)
	id 0MSXwa-1RUNwL2kyq-00S3P0; Sat, 05 Nov 2011 16:47:05 +0100
Message-ID: <4EB55A72.4050905@HIDDEN>
Date: Sat, 05 Nov 2011 16:46:58 +0100
From: =?ISO-8859-15?Q?Andreas_R=F6hler?= <andreas.roehler@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de;
	rv:1.9.2.23) Gecko/20110920 SUSE/3.1.15 Thunderbird/3.1.15
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Subject: 24.0.91; shell prompt doubled
Content-Type: multipart/mixed; boundary="------------000004010209020905070704"
X-Provags-ID: V02:K0:IGToEjRUEAKM/3EQf+uICGuwh8XHbBt8rUYj2ren5NB
	/YAmHPgjXaYrvuUcxhBommm9EkFwj4Qset9RavNPy6cqIkIL3a
	FxMYCC2vnICDywNlyr5/ug1/MHGj5WgAAf5uJAhSEeZKOgD6rM
	uyQJURr3iAeq+/kb2XtCcUwyxXBxc3Qq1DiXOTSxnJhFTAPBM2
	6xjtLhbIW01IRWvne/8pivp+qBSrNU6L4sE79YcUBztr0WA7Qr
	ytZ/zX5FFwnCnHGnWjW8ZtVRtRJGbBG9y++z6qa1lVSR3jVQUG
	mY8BsrkJr2AxHpLs9aO9DIbxerb9g9JqcLcScikZr/sPX25Lxm
	OPfJAKcLGMiz1xv3NXlI=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.7 (-----)

This is a multi-part message in MIME format.
--------------000004010209020905070704
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit

after M-x shell RET

shell prompt appears twofold like this:

MYNAME@MYHOST:~/emacs-20111105-r106290/src> 
MYNAME@MYHOST:~/emacs-20111105-r106290/src>

;;;;;;;;;

patch attached seems to fix it

Andreas

;;;;;;;;;

In GNU Emacs 24.0.91.1 (i686-suse-linux-gnu, X toolkit, Xaw3d scroll bars)
  of 2011-11-05 on MYHOST
Windowing system distributor `The X.Org Foundation', version 11.0.10903000
Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: @im=local
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
   shell-dirtrack-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
M-x s h e l l <return> M-x r e p o r t - e m c <backspace>
a c s - b u f <backspace> g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug ansi-color shell pcomplete comint regexp-opt ring time-date
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image fringe lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting x-toolkit x multi-tty emacs)

--------------000004010209020905070704
Content-Type: text/x-patch;
 name="shell-prompt-doubled.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="shell-prompt-doubled.patch"

=== modified file 'lisp/comint.el'
--- lisp/comint.el	2011-10-25 12:33:31 +0000
+++ lisp/comint.el	2011-11-05 15:35:31 +0000
@@ -769,18 +769,19 @@
       (goto-char (point-max))
       (set-marker (process-mark proc) (point))
       ;; Feed it the startfile.
-      (cond (startfile
+      ;; (cond (startfile
 	     ;;This is guaranteed to wait long enough
 	     ;;but has bad results if the comint does not prompt at all
 	     ;;	     (while (= size (buffer-size))
 	     ;;	       (sleep-for 1))
 	     ;;I hope 1 second is enough!
-	     (sleep-for 1)
-	     (goto-char (point-max))
-	     (insert-file-contents startfile)
-	     (setq startfile (buffer-substring (point) (point-max)))
-	     (delete-region (point) (point-max))
-	     (comint-send-string proc startfile)))
+	     ;; (sleep-for 1)
+	     ;; (goto-char (point-max))
+	     ;; (insert-file-contents startfile)
+	     ;; (setq startfile (buffer-substring (point) (point-max)))
+	     ;; (delete-region (point) (point-max))
+	     ;; (comint-send-string proc startfile)))
+	     
       (run-hooks 'comint-exec-hook)
       buffer)))
 


--------------000004010209020905070704--




Acknowledgement sent to Andreas Röhler <andreas.roehler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#9961; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 13 Jun 2021 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.